Skip to main content
GET
/
api
/
v1
/
workers
/
janitor
/
history
curl -X GET https://alfred.black/api/v1/workers/janitor/history \
  -H "Authorization: Bearer alf_your_key_here"
{
  "history": [
    {
      "timestamp": "2026-02-26T10:15:00Z",
      "issues_found": 12,
      "issues_fixed": 10
    }
  ]
}
Returns a chronological history of Janitor vault health scans, including how many issues were found and fixed in each sweep.
limit
number
default:10
Maximum number of sweep records to return.
curl -X GET https://alfred.black/api/v1/workers/janitor/history \
  -H "Authorization: Bearer alf_your_key_here"
{
  "history": [
    {
      "timestamp": "2026-02-26T10:15:00Z",
      "issues_found": 12,
      "issues_fixed": 10
    }
  ]
}
If the response contains structured JSON, it is returned directly. Otherwise, the output is returned in a raw field.
raw
string
Human-readable output when structured JSON is not available.